// Copyright (c) 2002 Cunningham & Cunningham, Inc.
// Released under the terms of the GNU General Public License version 2 or later.

using fit;

namespace eg.music
{
	public class Browser : Fixture 
	{

		public void library (string path) 
		{
			Music.load(path);
		}

		public int totalSongs() 
		{
			return Music.library.Length;
		}

		public void select (int i) 
		{
			Music.select(Music.library[i-1]);
		}

		public string title() 
		{
			return Music.looking.title;
		}

		public string artist() 
		{
			return Music.looking.artist;
		}

		public string album() 
		{
			return Music.looking.album;
		}

		public int year() 
		{
			return Music.looking.year;
		}

		public double time() 
		{
			return Music.looking.time();
		}

		public string track() 
		{
			return Music.looking.track();
		}

		public void play() 
		{
			Music.play(Music.looking);
		}

		public void sameAlbum() 
		{
			Music.findAlbum(Music.looking.album);
		}

		public void sameArtist() 
		{
			Music.findArtist(Music.looking.artist);
		}

		public void sameGenre() 
		{
			Music.findGenre(Music.looking.genre);
		}

		public void sameYear() 
		{
			Music.findYear(Music.looking.year);
		}

		public int selectedSongs() 
		{
			return Music.displayCount();
		}

		public void showAll() 
		{
			Music.findAll();
		}

	}
}